# <img width=30px height=30px style='margin-right: 10px; margin-bottom: -3px;' src="https://seeklogo.com/images/A/android-logo-9E4539A7DE-seeklogo.com.png"> Android Topical Unit

Android development consists of the Java programming language, the MySQL database, and XML styling, as managed through the Android Studio application (available for all supported platforms). For this unit, you will work on an issue in an Android application.

# Learning Goals
- Understand the basic structure of an Android Studio project, including the different files and folders.
- Understand the basic components of an Android application, such as activities, layouts, and resources.
- Use the Android emulator to test the application on different devices.
- Explore the Android Studio documentation to learn more about advanced topics such as user interface design, data storage, and networking.

# Resources
- [Android Studio IDE](https://developer.android.com/studio)
- [W3Schools - Android](https://www.w3schools.blog/android-tutorial) - lots of information about specific components of android development

# Deliverables
You will write a "hello world" Android app and install it on your own or a borrowed CS Android device.

Your code should have three components:
* a main screen that reads "Hello world"
* an "About" screen (accessible through a button) with your name and graduation year
* an "Exit" button that closes the app

A few specifications:
* Your IDE will be Android Studio (available for all OS's).
* Choose a custom background color or image.
* As always, manage this through git.

