create table iceland_stations(
station_id integer, 
record_year integer,
record_month integer, 
mean_month_temp float,
avg_max_daily_temp float,
max_temp float, 
max_temp_record_day integer, -- date of highest maximum temperature
avg_min_daily_temp float, 
min_temp float, 
min_record_day integer, 
mean_rh float, 
precipitation_total float, 
max_precipitation float, 
max_precipitation_record_day integer, 
avg_bph float, 
mean_cloud_cover float,
sun float, 
mean_wind_speed float); 

-- note no integrity beyond data type, sometimes varchar for all to begin with 
-- comment on table or table.column 

-- \copy iceland_stations from 
-- '/Users/charliep/Research/Iceland/Skalanes/Climate/Stod_620_Dalatangi.ManMedal.csv' 
-- with (format csv, delimiter ',', null 'NULL')

-- select trunc(mean_month_temp) as mean,                                                                              -- lpad('', count(*)::int, '#') as frequency                                                                                                 -- from iceland_stations                                                                                                                     -- group by trunc(mean_month_temp)                                                                                                           -- order by trunc(mean_month_temp) 

-- explain analyze statement 

